ZZIP_INIT_IO(3)

NAME
zzip_init_io, zzip_get_default_io - init plugin struct.

SYNOPSIS

#include <zzip/lib.h>

int zzip_init_io((zzip_plugin_io_handlers_t io, int flags));

zzip_plugin_io_t zzip_get_default_io((void));

DESCRIPTION

The zzip_init_io function initializes the users handler struct to default values being the posix io functions in default configured environments.

Note that the target io_handlers_t structure should be static or atleast it should be kept during the lifetime of zzip operations.

The zzip_get_default_io function returns a zzip_plugin_io_t handle to static defaults wrapping the posix io file functions for actual file access. The returned structure is shared by all threads in the system.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Mike Nordell <tamlin-@-algonet-se>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)